Package com.ocient.util

# Class Iterators

java.lang.Object
com.ocient.util.Iterators

public final class Iterators extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Iterators.LazyFanInPriorityQueue`
A priority queue for sequenced, asynchronous processing of `CompletableFutures.SQLResult<RowBatch>` elements.
`static class`
`Iterators.PeekingAsyncIterator<T>`
An implementation of the `AsyncIterator` interface that allows peeking at the next element without consuming it from the underlying iterator.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`